---
title: "Benutzerdefiniertes Feld aktualisieren"
description: "Aktualisiert die Definition eines benutzerdefinierten Feldes. Alle Felder sind optional."
---

`PATCH /api/custom-fields/:id`

## Anfrage (Request Body) (alle optional)

| Feld | Typ | Beschreibung |
|-------|------|-------------|
| `name` | string | Anzeigename |
| `fieldType` | string | `text`, `select` oder `multiselect` |
| `isRequired` | boolean | Ob das Feld erforderlich ist |
| `displayOrder` | number | Sortierreihenfolge |
| `options` | array | Optionen für select/multiselect |
| `placeholder` | string\|null | Platzhaltertext |
| `helpText` | string\|null | Hilfetext |
| `showInTable` | boolean | In Tabellenansichten anzeigen |
| `isActive` | boolean | Soft-Delete (auf false setzen) |

## Beispiel (cURL)

```bash
curl -X PATCH "$BASE_URL/api/custom-fields/1" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json" \
  -d '{ "name": "Environment", "options": ["production", "staging", "development", "qa"] }'
```

## Antwort (Response)

Gibt das aktualisierte benutzerdefinierte Feld-Objekt zurück. Siehe [Fehlercodes](/de/api/error-codes-and-known-pitfalls) für Fehlerantworten.
